$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.211.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.211.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '6301D3B44F1BE87D62038EDE6DCFC993BE4F94A6B303BE9BF44D4E86BF9B3785'
  checksumType = 'sha256'
  checksum64 = '6301D3B44F1BE87D62038EDE6DCFC993BE4F94A6B303BE9BF44D4E86BF9B3785'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.211-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
